<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>THR Report</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>

        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Jobs</li>
        <li class="active"> Vacancy</li>
        <li class="active" th:text="${request.position.positionName}"> </li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">

            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Candidate</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form method="post" class="form-horizontal" th:action="@{/vacancy/applicant/save}" th:object="${applicant}">
                    <div class="box-body">
                        <input type="hidden" name="request" th:value="${request.id}">
                        <div class="form-group">
                            <label for="nickName" class="col-sm-2 control-label">Nick Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{nickName}" name="nickName" id="nickName" placeholder="Nick name" required>
                                <p th:if="${#fields.hasErrors('nickName')}" th:errors="*{nickName}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="fullName" class="col-sm-2 control-label">Full Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{fullName}" name="fullName" id="fullName" placeholder="Full Name" required>
                                <p th:if="${#fields.hasErrors('fullName')}" th:errors="*{fullName}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Gender</label>

                            <div class="col-sm-10">
                                <label>
                                    <input name="gender1" id="gender1" type="radio" value="PRIA" class="flat-red" th:field="*{gender}">
                                    PRIA
                                </label>
                                &nbsp;
                                <label>
                                    <input name="gender2" id="gender2" type="radio" value="WANITA" class="flat-red" th:field="*{gender}">
                                    WANITA
                                </label>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="placaOfBirth" class="col-sm-2 control-label">Place of Birth</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{placeOfBirth}" name="fullName" id="placaOfBirth">
                                <p th:if="${#fields.hasErrors('placeOfBirth')}" th:errors="*{placeOfBirth}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Date of Birth</label>

                            <div class="col-sm-10">
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="date" class="form-control pull-right" th:field="*{dateOfBirth}" name="dateOfBirth" placeholder="Data of Birth MM/dd/yyyy">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="blod" class="col-sm-2 control-label">Blood Type</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{blod}" name="fullName" id="blod">
                                <p th:if="${#fields.hasErrors('blod')}" th:errors="*{blod}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="religion" class="col-sm-2 control-label">Religion</label>

                            <div class="col-sm-10">
                                <select name="religion" id="religion" class="form-control select2" th:field="*{religion}">
                                    <option th:each="data : ${listReligion}"
                                            th:text="${data.agama}"
                                            th:value="${data.id}"></option>
                                </select>
<!--                                <input type="text" class="form-control" th:field="*{religion}" name="religion" id="religion">-->
<!--                                <p th:if="${#fields.hasErrors('religion')}" th:errors="*{religion}" class="text-danger"> Mata Anggaran Error</p>-->
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="noNpwp" class="col-sm-2 control-label">No NPWP</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{noNpwp}" name="noNpwp" id="noNpwp">
                                <p th:if="${#fields.hasErrors('noNpwp')}" th:errors="*{noNpwp}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="bpjsKes" class="col-sm-2 control-label">No BPJS KES</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{bpjsKesehatanNumber}" name="bpjsKesehatanNumber" id="bpjsKes">
                                <p th:if="${#fields.hasErrors('bpjsKesehatanNumber')}" th:errors="*{bpjsKesehatanNumber}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="bpjsTk" class="col-sm-2 control-label">No BPJS TK</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{bpjsKetenagakerjaanNumber}" name="bpjsKetenagakerjaanNumber" id="bpjsTk">
                                <p th:if="${#fields.hasErrors('bpjsKetenagakerjaanNumber')}" th:errors="*{bpjsKetenagakerjaanNumber}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="identifyNum" class="col-sm-2 control-label">Identity Number</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{identityNumber}" name="identityNumber" id="identifyNum">
                                <p th:if="${#fields.hasErrors('identityNumber')}" th:errors="*{identityNumber}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="identifyAdd" class="col-sm-2 control-label">Identity Address</label>

                            <div class="col-sm-10">
                                <textarea name="identityAddress" id="identifyAdd" rows="3" class="form-control" th:field="*{identityAddress}"></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="domisiliAdd" class="col-sm-2 control-label">Domisili Address</label>

                            <div class="col-sm-10">
                                <textarea name="domisiliAddress" id="domisiliAdd" rows="3" class="form-control" th:field="*{domisiliAddress}"></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="telephone" class="col-sm-2 control-label">Telephone</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{homeTelephoneNumber}" name="emailActive" id="telephone" required>
                                <p th:if="${#fields.hasErrors('homeTelephoneNumber')}" th:errors="*{homeTelephoneNumber}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="celularTelephoneNumber" class="col-sm-2 control-label">Cell Phone</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{celularTelephoneNumber}" name="emailActive" id="celularTelephoneNumber">
                                <p th:if="${#fields.hasErrors('celularTelephoneNumber')}" th:errors="*{celularTelephoneNumber}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="emailActive" class="col-sm-2 control-label">Email Active</label>

                            <div class="col-sm-10">
                                <input type="email" class="form-control" th:field="*{emailActive}" name="emailActive" id="emailActive">
                                <p th:if="${#fields.hasErrors('emailActive')}" th:errors="*{emailActive}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/vacancy/jobsDetail(id=${request.id})}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>

</section>
<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#dateOfBirth').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        // $('.simpan').click(function () {
        //     Swal.fire({
        //         position: 'top-end',
        //         type: 'success',
        //         title: 'Your work has been saved',
        //         showConfirmButton: false
        //     })
        // });
    </script>

    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging'      : true,
                'lengthChange': false,
                'searching'   : false,
                'ordering'    : true,
                'info'        : true,
                'autoWidth'   : false
            })
        })

        $(function() {

            var bla = $('#effectiveDateString').val();
            $('#effectiveDateString').val(bla);

        });

        (function($){
            $('#payrollComponent').select2();
            $('#payrollComponent').on('select2:selecting', function(e) {
                console.log('Selecting: ' , e.params.args.data.id);
                $('#isiPayrollComponent').val(e.params.args.data.id);
            });
        })(jQuery);

        function dtable() {

            // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
            window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val();


        }
    </script>
</section>
</body>
</html>
</body>
</html>